Bug 1126854 - [Hosts]>new/edit> For disabling kdump integration, i need to enable power management first and then disable back.
Summary: [Hosts]>new/edit> For disabling kdump integration, i need to enable power man...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Martin Perina
QA Contact: Michael Burman
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 12:54 UTC by Michael Burman
Modified: 2016-02-10 19:30 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:20:31 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31801 master MERGED core: Don't configure kdump when PM is disabled Never
oVirt gerrit 31802 master MERGED core: Show warning when kdump integration required but not configured Never
oVirt gerrit 31899 ovirt-engine-3.5 MERGED core: Don't configure kdump when PM is disabled Never
oVirt gerrit 31900 ovirt-engine-3.5 MERGED core: Show warning when kdump integration required but not configured Never

Description Michael Burman 2014-08-05 12:54:34 UTC
Description of problem:
Kdump integration is enabled by default in the [Power Managment] in the new hosts tab. and if i have a problem with kdump integration while installing new host in my setup and i want to disable kdump integration, i need first to enable Power Managment, then disable kdump integration and disable the power managemnt again.
For my opinion it is very weird that i have to do so. I expect to enable/disable kdump integration without enabling Power Management first and disabling it back. 

Version-Release number of selected component (if applicable):
 oVirt Engine Version: 3.5.0-0.0.master.20140722232058.git8e1babc.el6 

How reproducible:
always

Steps to Reproduce:
1. Create new host under hosts tab.
2. In Power Management, kdump is enabled by default and the only way to disable it, is by enabling power management. 
3.

Actual results:
In Power Management, kdump is enabled by default and the only way to disable it, is by enabling power management. 

Expected results:
I expect to enable/disable kdump integration without enabling Power Management first and disabling it back. 

Additional info:

Comment 1 Martin Perina 2014-08-22 11:17:47 UTC
Kdump integration should be enabled by default for new hosts, but it doesn't have any meaning if power management is disable. On the other hand when user enables kdump integration on existing host, host needs to be redeployed to activate kdump integration. So the solution is:

1) Do not configure kdump integration during host deploy if host PM is not enabled

2) Show warning to user after updating host when PM and kdump integration are enabled, but kdump integration is not configured on host

Comment 2 Michael Burman 2014-09-15 07:30:07 UTC
This is the behavior:
1. If PM is off, kdump integration is not configured during host deploy even when it's on

2. If PM is off and kdump integration is on, there's no warning message after host is deployed, that kdump is not configured

So to verify this i execute:
1. PM off, kdump integration off -> kdump integration is not configured during host deploy - no warning

2. PM is on,  kdump integration off -> kdump integration is not configured during host deploy - no warning

3. PM off, kdump integration on -> kdump integration is not configured during host deploy - no warning

4. PM on, kdump integration on -> kdump integration is successfully configured during host deploy - If for some reason, kdump integration hasn't configured successfully, should be warning about this

Verified on - 3.5.0-0.12.beta.el6ev

Comment 3 Sandro Bonazzola 2014-10-17 12:20:31 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.